<div class="container">
  <div class="row justify-content-md-center login-wrapper">
    <div class="col-xl-12 c-alert pl-0 pr-0">
      <app-alert [message]="message" [type]="type"></app-alert>
    </div>
    <div class="col-12 col-lg-7 pr-lg-5 px-0 c-tablet-center">
      <img src="../../../../assets/kavanii_logo2.PNG" alt="logo" class="logo">

      <h4 class="mt-3 bold">
        Where managing practitioners is easy
      </h4>

      <p class="bold mt-3">
        The simplest, easy to use yet most comprehensive software to help practitioner manager their practices.
      </p>
      <img src="../../../../assets/placeholder.jpg" alt="sub" class="sub"/>
    </div>
    <div class="col-12 col-lg-5 px-0">
      <form class="register-form" [formGroup]="registerForm">
        <div class="mb-3">
          <span class="ml-2">Already have an account?</span> <a class="ml-1 bold" [routerLink]="'/login'">Log In</a>
        </div>
        <div class="mb-3">
          <h5 class="bold">Get started by registering your business</h5>
        </div>
        <div>
          <!-- alert -->
        <!-- <div *ngIf="showErrorMessage">
          <div class="alert alert-danger" role="alert">
            please enter all mandatory fields!     
          </div>
        </div> -->

          <!-- first Name field -->

          <mat-form-field appearance="outline" class="full-width">
            <!-- <mat-icon matPrefix>person</mat-icon> -->

            <mat-label>First Name</mat-label>
            <input matInput placeholder="First Name" name="firstname" formControlName="firstname" appCharLimit
                   [frmGroup]="registerForm" fcName="firstname" [max]="30">
            <mat-error *ngIf="registerForm.get('firstname').hasError('required')">
              This field is required
            </mat-error>
            <mat-error *ngIf="registerForm.get('firstname').hasError('exceedLimit')">
              {{registerForm.get('firstname').getError('exceedLimit')}}
            </mat-error>
          </mat-form-field>

          <!-- Last Name field -->         
          <mat-form-field appearance="outline" class="full-width">
            <!-- <mat-icon matPrefix>person</mat-icon> -->
            <mat-label>Last Name</mat-label>
            <input matInput placeholder="Last Name" name="lastName" formControlName="lastname" appCharLimit
                   [frmGroup]="registerForm" fcName="lastname" [max]="30">
            <mat-error *ngIf="registerForm.get('lastname').hasError('required')">
              This field is required
            </mat-error>
            <mat-error *ngIf="registerForm.get('lastname').hasError('exceedLimit')">
              {{registerForm.get('lastname').getError('exceedLimit')}}
            </mat-error>
          </mat-form-field>

          <!-- Email field -->
          <mat-form-field appearance="outline" class="full-width">
            <!-- <mat-icon matPrefix>email</mat-icon> -->
            <mat-label>Email ID</mat-label>
            <input matInput placeholder="Email ID" name="username" formControlName="username" appCharLimit
                   [frmGroup]="registerForm" fcName="username" [max]="250">
            <mat-error *ngIf="registerForm.get('username').hasError('required')">
              This field is required
            </mat-error>
            <mat-error *ngIf="registerForm.get('username').hasError('pattern')">
              Please enter a valid email address
            </mat-error>
            <mat-error *ngIf="registerForm.get('username').hasError('exceedLimit')">
              {{registerForm.get('username').getError('exceedLimit')}}
            </mat-error>
          </mat-form-field>

          <!-- Business Name -->
          <mat-form-field appearance="outline" class="full-width">
            <!-- <mat-icon matPrefix>domain</mat-icon> -->
            <mat-label>Business Name</mat-label>
            <input matInput placeholder="Business Name" name="businessName" formControlName="businessname" appCharLimit
                   [frmGroup]="registerForm" fcName="businessname" [max]="100">
            <mat-error *ngIf="registerForm.get('businessname').hasError('required')">
              This field is required
            </mat-error>
            <mat-error *ngIf="registerForm.get('businessname').hasError('exceedLimit')">
              {{registerForm.get('businessname').getError('exceedLimit')}}
            </mat-error>
          </mat-form-field>
        </div>

        <div>
          <p>
            <mat-checkbox class="d-inline big" formControlName="isTermOfService">
              I accept Kavanii <a href="#" class="bold">Terms of Service</a> and <a href="#" class="bold">Privacy
              Notice</a>.
            </mat-checkbox>
          </p>
        </div>

        <div class="mt-3">
          <!--          <ngx-recaptcha2 [siteKey]="recaptchaKey" [size]="'Normal'" [theme]="'Light'" [type]="'Image'"-->
          <!--                          [hl]="'en'" formControlName="recaptcha">-->
          <!--          </ngx-recaptcha2>-->
          <!--          <ngx-invisible-recaptcha #captchaElem-->
          <!--                                   [siteKey]="recaptchaKey"-->
          <!--                                   [useGlobalDomain]="false"-->
          <!--                                   [theme]="'light'"-->
          <!--                                   [ngModel]="recaptcha"-->
          <!--                                   [ngModelOptions]="{ standalone: true }">-->
          <!--          </ngx-invisible-recaptcha>-->
          <ngx-invisible-recaptcha #captchaElem [siteKey]="recaptchaKey" theme='Light' (success)="handleSuccess($event)"
                                   (ready)="loadCaptcha()" formControlName="recaptcha"></ngx-invisible-recaptcha>

          <button mat-raised-button class="primary-mat-raised-button" color="accent"
                  (click)="register($event);">{{ createButtonText }}</button>
        </div>
      </form>
    </div>

  </div>
</div>
